Skip to main content
PATCH
/
api
/
content
/
collections
/
{id}
Update collection
curl --request PATCH \
  --url https://api.tedro.io/api/content/collections/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-workspace-id: <api-key>' \
  --cookie better-auth.session_token= \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tedro.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Session cookie set by Better Auth on sign-in.

x-workspace-id
string
header
required

Workspace UUID. Required on all /api/* endpoints.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 100
description
string
Maximum string length: 500

Response

Collection updated

id
string<uuid>
required
name
string
required
description
string | null
required
workspaceId
string<uuid>
required
createdAt
string
required
updatedAt
string
required
{key}
any